﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.689.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 02/11/2021 14:01:54
-- Server version: 5.7.36
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemplo9;

CREATE DATABASE IF NOT EXISTS ejemplo9
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE ejemplo9;

--
-- Create table `provincia`
--
CREATE TABLE IF NOT EXISTS provincia (
  nombre varchar(100) DEFAULT NULL,
  codigo int(11) NOT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `paquetes`
--
CREATE TABLE IF NOT EXISTS paquetes (
  codigo int(11) NOT NULL,
  descripcion varchar(500) DEFAULT NULL,
  destinatario varchar(200) DEFAULT NULL,
  direccion_destinatario varchar(200) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `destinatario`
--
CREATE TABLE IF NOT EXISTS destinatario (
  provincia int(11) NOT NULL,
  paquetes int(11) NOT NULL,
  PRIMARY KEY (provincia, paquetes)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `paquetes` on table `destinatario`
--
ALTER TABLE destinatario
ADD UNIQUE INDEX paquetes (paquetes);

--
-- Create foreign key
--
ALTER TABLE destinatario
ADD CONSTRAINT fkDestinatario_paquetes FOREIGN KEY (paquetes)
REFERENCES paquetes (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE destinatario
ADD CONSTRAINT fkDestinatario_provicia FOREIGN KEY (provincia)
REFERENCES provincia (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `camiones`
--
CREATE TABLE IF NOT EXISTS camiones (
  tipo varchar(100) DEFAULT NULL,
  modelo varchar(100) DEFAULT NULL,
  matricula varchar(20) NOT NULL,
  potencia int(11) DEFAULT NULL,
  PRIMARY KEY (matricula)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `camioneros`
--
CREATE TABLE IF NOT EXISTS camioneros (
  dni varchar(15) NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  poblacion varchar(100) DEFAULT NULL,
  direccion varchar(100) DEFAULT NULL,
  telefono int(11) DEFAULT NULL,
  salario int(11) DEFAULT NULL,
  PRIMARY KEY (dni)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `distribuye`
--
CREATE TABLE IF NOT EXISTS distribuye (
  camionero varchar(15) NOT NULL,
  paquetes int(11) NOT NULL,
  PRIMARY KEY (camionero, paquetes)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `paquetes` on table `distribuye`
--
ALTER TABLE distribuye
ADD UNIQUE INDEX paquetes (paquetes);

--
-- Create foreign key
--
ALTER TABLE distribuye
ADD CONSTRAINT fkDistribuye_camioneros FOREIGN KEY (camionero)
REFERENCES camioneros (dni) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE distribuye
ADD CONSTRAINT fkDistribuye_paquetes FOREIGN KEY (paquetes)
REFERENCES paquetes (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `conduce`
--
CREATE TABLE IF NOT EXISTS conduce (
  camionero varchar(15) NOT NULL,
  camion varchar(20) NOT NULL,
  PRIMARY KEY (camionero, camion)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE conduce
ADD CONSTRAINT fkConduce_camion FOREIGN KEY (camion)
REFERENCES camiones (matricula) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE conduce
ADD CONSTRAINT fkConduce_camionero FOREIGN KEY (camionero)
REFERENCES camioneros (dni) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table provincia
--
INSERT INTO provincia VALUES
('<sxc', 5587);

-- 
-- Dumping data for table paquetes
--
INSERT INTO paquetes VALUES
(88, 'grande', 'lugo', 'calle baja');

-- 
-- Dumping data for table camiones
--
INSERT INTO camiones VALUES
('a', 'a', 'asdasd', 55);

-- 
-- Dumping data for table camioneros
--
INSERT INTO camioneros VALUES
('4563456', 'zxfvg', 'adf', 'zdcvf', 6846, 6584);

-- 
-- Dumping data for table distribuye
--
INSERT INTO distribuye VALUES
('4563456', 88);

-- 
-- Dumping data for table destinatario
--
INSERT INTO destinatario VALUES
(5587, 88);

-- 
-- Dumping data for table conduce
--
INSERT INTO conduce VALUES
('4563456', 'asdasd');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;